summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2019-12-25 21:47:06 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2019-12-25 21:48:02 +0100
commit472c2bd8f9956ec11654ae9180f97b3bffb85a4f (patch)
treedebbde62436795ef39927e757634025b03415ecf /media-gfx/iscan-plugin-network-nt
parentlicense_groups: add EPSON-2018 to @EULA (diff)
downloadgentoo-472c2bd8f9956ec11654ae9180f97b3bffb85a4f.tar.gz
gentoo-472c2bd8f9956ec11654ae9180f97b3bffb85a4f.tar.bz2
gentoo-472c2bd8f9956ec11654ae9180f97b3bffb85a4f.zip
media-gfx/iscan-plugin-network-nt: New package... Nonfree/EULA
Package-Manager: Portage-2.3.81, Repoman-2.3.20 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
Diffstat (limited to 'media-gfx/iscan-plugin-network-nt')
-rw-r--r--media-gfx/iscan-plugin-network-nt/Manifest1
-rw-r--r--media-gfx/iscan-plugin-network-nt/iscan-plugin-network-nt-1.1.2.1.ebuild44
-rw-r--r--media-gfx/iscan-plugin-network-nt/metadata.xml8
3 files changed, 53 insertions, 0 deletions
diff --git a/media-gfx/iscan-plugin-network-nt/Manifest b/media-gfx/iscan-plugin-network-nt/Manifest
new file mode 100644
index 00000000000..71a8787eb2c
--- /dev/null
+++ b/media-gfx/iscan-plugin-network-nt/Manifest
@@ -0,0 +1 @@
+DIST iscan-bundle-2.30.4.x64.deb.tar.gz 517592 BLAKE2B f7c0638575d406ed8612f478c06fdb1331e890f932b8dc96a4dcf9fbe499683f53159103c8dfd6c1036f2bc7930bbbc4c8b18d88c460d4b48798e07f31630e0b SHA512 6d967f5d2d554478df49c784d0ee785a9e1fc4f4b6ea4dc320270a50eca35cc3d533b918a1bda33cf3b0e9b783380e7828b77543730079b2e2f40ad9578db79d
diff --git a/media-gfx/iscan-plugin-network-nt/iscan-plugin-network-nt-1.1.2.1.ebuild b/media-gfx/iscan-plugin-network-nt/iscan-plugin-network-nt-1.1.2.1.ebuild
new file mode 100644
index 00000000000..59027f25061
--- /dev/null
+++ b/media-gfx/iscan-plugin-network-nt/iscan-plugin-network-nt-1.1.2.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Network scanning plugin for EPSON scanners (nonfree)"
+
+HOMEPAGE="http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
+# This is distributed as part of the "bundle driver"; since we already have the
+# opensource part separately we just install the nonfree part here.
+
+ISCAN_VERSION="2.30.4"
+
+SRC_URI="https://download2.ebz.epson.net/iscan/general/deb/x64/iscan-bundle-${ISCAN_VERSION}.x64.deb.tar.gz"
+
+LICENSE="EPSON-2018"
+
+SLOT="0"
+
+#KEYWORDS="~amd64"
+# No keywords since I havent really gotten it to work yet. However, installation
+# locations are clearly correct... may be a hardware/network problem on my side.
+
+RESTRICT="bindist mirror strip"
+
+RDEPEND="media-gfx/iscan"
+BDEPEND="app-arch/deb2targz"
+
+src_unpack() {
+ default
+ mv ./iscan-bundle-${ISCAN_VERSION}.x64.deb/plugins/iscan-network-nt_*_amd64.deb ${P}.deb || die
+ mkdir ${P} || die
+ cd ${P} || die
+ unpack ../${P}.deb
+ unpack "${S}/data.tar.gz"
+}
+
+src_install() {
+ exeinto /usr/lib/iscan
+ doexe usr/lib/iscan/network
+
+ gunzip usr/share/doc/iscan-network-nt/*.gz
+ dodoc usr/share/doc/iscan-network-nt/*
+}
diff --git a/media-gfx/iscan-plugin-network-nt/metadata.xml b/media-gfx/iscan-plugin-network-nt/metadata.xml
new file mode 100644
index 00000000000..80a71f59785
--- /dev/null
+++ b/media-gfx/iscan-plugin-network-nt/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>dilfridge@gentoo.org</email>
+ <name>Andreas K. Huettel</name>
+ </maintainer>
+</pkgmetadata>